# generalities
salary <- c(21, 19, 27, 11, 102, 25, 21)
sort(salary)
quantile(salary)
summary(salary)
fivenum(salary)
quantile(salary)
quantile(salary, probs=seq(0, 1, 0.1))
seq(0, 1, 0.1)
hist(salary)
hist(salary, breaks=10)

# understanding boxplot
boxplot(salary)
boxplot(cars)

# sapply
cars
# mean(cars) #mistake!
sapply(cars, mean)
colMeans(cars)

# how to know if this is parametric
hist(cars[,1])
hist(rnorm(nrow(cars)))
hist(rnorm(nrow(cars)))
hist(rnorm(nrow(cars)))
hist(rnorm(nrow(cars)))
hist(rnorm(nrow(cars)))
hist(rnorm(nrow(cars)))
hist(cars[,1])
hist(cars[,2])
hist(cars[,2])
hist(cars[,2])
hist(rnorm(nrow(cars)))
hist(rnorm(nrow(cars)))
hist(rnorm(nrow(cars)))
hist(cars[,2])
qqnorm(cars[,2]); qqline(cars[,2])
xx <- rnorm(nrow(cars)); qqnorm(xx); qqline(xx)
xx <- rnorm(nrow(cars)); qqnorm(xx); qqline(xx)
xx <- rnorm(nrow(cars)); qqnorm(xx); qqline(xx)
xx <- rnorm(nrow(cars)); qqnorm(xx); qqline(xx)
xx <- rnorm(nrow(cars)); qqnorm(xx); qqline(xx)
qqnorm(cars[,2]); qqline(cars[,2])
sapply(cars, sd)
sapply(cars, mean)

# reporting generalilies
quantile(salary, c(0.025, 0.975))
median(salary)
IQR(salary)
paste(median(salary), IQR(salary))
paste(median(salary), IQR(salary), sep="±")
paste(median(salary), IQR(salary), sep=" ± ")
paste(mean(cars$speed), sd(cars$speed), sep=" ± ")
paste(mean(cars$speed), round(sd(cars$speed), 1), sep=" ± ")
paste(mean(cars$speed*100), round(sd(cars$speed*100), 1), sep=" ± ")
paste(mean(cars$speed), round(sd(cars$speed), 1), sep=" ± ")
paste(mean(cars$dist), round(sd(cars$dist), 1), sep=" ± ")

# CV, coefficient of variation
100*sd(cars$speed)/mean(cars$speed)
100*sd(cars$dist)/mean(cars$dist)
with(cars, 100*sd(dist)/mean(dist))

# stem plot
stem(salary)
stem(cars$dist)
stem(cars$speed)

# other 1D plots
plot(density(cars$speed))
rug(cars$speed)
# install.packages("beanplot")
library(beanplot)
paste(median(salary), IQR(salary), sep="\u00B1")
beanplot(cars)
beanplot(cars, col=1:2)
beanplot(cars, col=list(1:2))
beanplot(cars, col=1:2, border=4:5)
beanplot(cars, col=list(1,2), border=4:5)
beanplot(cars, col=list(1,2))
beanplot(cars, col=list(1,2), border=1:2)
# ?beanplot

# statistical tests
wilcox.test(salary, conf.int=TRUE)
salary
