source("http://ashipunov.info/r/asmisc.r")
library(dunn.test)

Eta2 <- function(aov)
{
summary.lm(aov)$r.squared
}

Epsilon2 <- function(kw, n)
{
unname(kw$statistic/((n^2 - 1)/(n+1)))
}

head(ToothGrowth)
summary(ToothGrowth)
ToothGrowth$dose
table(ToothGrowth$dose)
Normality(ToothGrowth$len)
boxplot(len ~ factor(dose), data=ToothGrowth)
bartlett.test(len ~ factor(dose), data=ToothGrowth)
ld.aov <- aov(len ~ factor(dose), data=ToothGrowth)
summary(ld.aov)
Eta2(ld.aov)
Mag(Eta2(ld.aov))
with(ToothGrowth, pairwise.t.test(len, dose))
TukeyHSD(ld.aov)
plot(TukeyHSD(ld.aov))
with(ToothGrowth, interaction.plot(supp, dose, len))

head(InsectSprays)
summary(InsectSprays)
boxplot(count ~ spray, data=InsectSprays)
Normality(InsectSprays$count)
kruskal.test(count ~ spray, data=InsectSprays)

Epsilon2(kruskal.test(count ~ spray, data=InsectSprays), nrow(InsectSprays))
Mag(0.77)
pairwise.wilcox.test(InsectSprays$count, InsectSprays$spray)
dunn.test(InsectSprays$count, InsectSprays$spray, method="holm", altp=TRUE)

head(chickwts)
str(chickwts)
boxplot(weight ~ feed, data=chickwts)
Normality(chickwts$weight)
bartlett.test(weight ~ feed, data=chickwts)
chk.aov <- aov(weight ~ feed, data=chickwts)
summary(chk.aov)
Eta2(chk.aov)
Mag(Eta2(chk.aov))
TukeyHSD(chk.aov)
old.par <- par(mar=c(4,9,2,2))
plot(TukeyHSD(chk.aov), las=2)
par(old.par)

### ================================

mm <- read.table("http://ashipunov.info/shipunov/school/biol_240/data/mice.txt", h=T)
pairwise.Eff(mm$ambulationSALINE, as.factor(mm$Dose))
pairwise.Eff(mm$ambulationSALINE, as.factor(mm$Dose), eff="cohen.d")

### ================================

pdf("Ex.pdf")
plot(1)
dev.off()
pdf("ex.pdf")
plot(1:2)
dev.off()

### ================================
### ================================
### ================================

tea <- read.table("http://ashipunov.info/data/tea.txt", h=TRUE)
tea
table(tea)
xtabs(~ GUESS + REALITY, data=tea)

Titanic
titanic <- apply(Titanic, c(1,4), sum)
titanic
mosaicplot(titanic, col=c("black", "green"))
mosaicplot(table(tea), col=c("wheat", "whitesmoke"))
ftable(Titanic)

comfort <- ifelse(airquality$Temp < 64 | airquality$Temp > 86, "bad", "good")
comfort
c.m <- table(comfort, airquality$Month)

mosaicplot(t(c.m))
spineplot(t(c.m), col=c("red", "green"))

chisq.test(c.m)
(expected <- outer(rowSums(c.m), colSums(c.m), "*")/sum(c.m))
c.m
c.m - expected
(c.m - expected)^2
((c.m - expected)^2)/expected
sum(((c.m - expected)^2)/expected)
assocplot(c.m)

VTcoeffs(c.m)

VTcoeffs(titanic)
pairwise.Table2.test(titanic)
