trees[, "Volume"]
trees[, c("Volume")]
trees[, 1:2]
identical(trees[, 1:2], trees[, c(1,2)])
trees[, c(1, 3)]

oldpar <- par(mfrow=c(3, 3))
for (i in 1:9) plot(1:50, rnorm(50), xlab="Fitted", ylab="Residuals")
title("'Good' Residuals vs. Fitted", outer=TRUE, line=-2)
for (i in 1:9) plot(1:50, (1:50)*rnorm(50), xlab="Fitted", ylab="Residuals")
title("'Bad' Residuals vs. Fitted", outer=TRUE, line=-2)
for (i in 1:9) { aa <- rnorm(50); qqnorm(aa, main=""); qqline(aa) }
title("'Good' normality QQ plots", outer=TRUE, line=-2)
for (i in 1:9) { aa <- rnorm(50)^2; qqnorm(aa, main=""); qqline(aa) }
title("'Bad' normality QQ plots", outer=TRUE, line=-2)
par(oldpar)

women.lm <- lm(weight ~ height, data=women)
summary(women.lm)
plot(women.lm)

plot(weight ~ height, data=women)
abline(women.lm, col=2, lty=2)
source("http://ashipunov.info/r/asmisc.r")
Cladd(women.lm, data=women)

women.lm2 <- lm(weight ~ height + I(height^3), data=women)
summary(women.lm2)
plot(women.lm2)

AIC(women.lm)
AIC(women.lm2)

eggs <- read.table("http://ashipunov.info/data/eggs.txt")
Str(eggs)
plot(V1 ~ jitter(V2), data=eggs)

eggs.lm <- lm(V1 ~ V2, data=eggs)
summary(eggs.lm)
plot(eggs.lm)

plot(V1 ~ jitter(V2), data=eggs)
abline(eggs.lm, lty=2, col=2)
Cladd(eggs.lm, data=eggs)

ipo <- read.table("http://ashipunov.info/data/ipomopsis.txt", h=T)
Str(ipo)
plot(Fruit ~ Root, data=ipo)
plot(Fruit ~ Root, data=ipo, pch=as.numeric(ipo$Grazing))

abline(lm(Fruit ~ Root, data=ipo[ipo$Grazing == "Grazed",]))
abline(lm(Fruit ~ Root, data=ipo[ipo$Grazing == "Ungrazed",]))

ipo.lm <- lm(Fruit ~ Root * Grazing, data=ipo)
summary(ipo.lm)
